%global pypi_name lightning-utilities
Name:           python-%{pypi_name}
Version:        0.14.3
Release:        %autorelease
Summary:        Utilities for the lightning ecosystem

License:        Apache-2.0
URL:            https://github.com/Lightning-AI/utilities
Source:         %{url}/archive/v%{version}/utilities-%{version}.tar.gz#/%{name}-%{version}.tar.gz

# What pytorch supports
ExclusiveArch:  x86_64 aarch64
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(torch)
BuildRequires:  python3dist(typing-extensions)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
This repository covers the following use-cases:
* Reusable GitHub workflows
* Shared GitHub actions
* General Python utilities in lightning_utilities.core
* CLI python -m lightning_utilities.cli --help}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description

%prep
%autosetup -p1 -n utilities-%{version}

%generate_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l lightning_utilities

%check
%pyproject_check_import
%pytest tests/unittests

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
%autochangelog
